> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Commands for an Entity

> Returns a page with a list of Commands in a given time frame. If no time frame is given, it will return all available Commands.



## OpenAPI

````yaml get /v1/entities/{entityId}/commands
openapi: 3.0.4
info:
  title: Connect Command API
  description: Provides endpoints to manage entity commands.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
tags:
  - name: Commands
    description: Provides operations for commands for collectives.
paths:
  /v1/entities/{entityId}/commands:
    get:
      tags:
        - Commands
      summary: List Commands
      description: >-
        Returns a page with a list of Commands in a given time frame. If no time
        frame is given, it will return all available Commands.
      operationId: get-listasync
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 8667fb97-68f2-485a-87c7-f3bdfa9482e1
        - name: start
          in: query
          description: The start of the Commands trigger timeframe
          required: true
          schema:
            type: string
            format: date-time
          example: '2024-05-27 13:00:00Z'
        - name: end
          in: query
          description: The end of the Commands trigger timeframe
          schema:
            type: string
            format: date-time
          example: '2024-05-27 14:00:00Z'
        - name: pageSize
          in: query
          description: The number of Commands per page
          schema:
            type: integer
            format: int32
            default: 25
        - name: continuationToken
          in: query
          description: The token used to retrieve the next page
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Command.App.Models.V1.PagedCommands
components:
  schemas:
    Connect.Service.Command.App.Models.V1.PagedCommands:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Service.Command.App.Models.V1.Command'
          nullable: true
        links:
          $ref: '#/components/schemas/Connect.Models.Links'
        meta:
          $ref: '#/components/schemas/Connect.Models.Meta'
      additionalProperties: false
      description: A page of commands.
    Connect.Service.Command.App.Models.V1.Command:
      type: object
      properties:
        entityId:
          type: string
          description: The id of the entity.
          format: uuid
          nullable: true
        id:
          type: string
          description: The id of the command.
          format: uuid
        status:
          $ref: >-
            #/components/schemas/Connect.Service.Command.App.Models.V1.CommandStatus
        triggerTime:
          type: string
          description: The trigger time of command.
          format: date-time
        type:
          $ref: >-
            #/components/schemas/Connect.Service.Command.App.Models.V1.CommandType
        value:
          type: string
          description: The value for the issued command.
          nullable: true
        error:
          $ref: >-
            #/components/schemas/Connect.Service.Command.App.Models.V1.CommandError
        verification:
          $ref: >-
            #/components/schemas/Connect.Service.Command.App.Models.V1.CommandVerification
      additionalProperties: false
      description: A command.
    Connect.Models.Links:
      type: object
      properties:
        next:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Models.Meta:
      type: object
      properties:
        continuationToken:
          type: string
          nullable: true
        pageSize:
          type: integer
          format: int32
      additionalProperties: false
    Connect.Service.Command.App.Models.V1.CommandStatus:
      enum:
        - Canceled
        - Failed
        - Pending
        - Sent
        - Succeeded
        - Triggered
      type: string
      description: Represents the different states of a command.
    Connect.Service.Command.App.Models.V1.CommandType:
      enum:
        - Disconnect
        - LimitFeedIn
        - Reset
        - StartCharging
        - StopCharging
        - StopFeedIn
      type: string
      description: Represents the available command types
    Connect.Service.Command.App.Models.V1.CommandError:
      type: object
      properties:
        title:
          type: string
          description: The title of the error.
          nullable: true
        description:
          type: string
          description: The description of the error.
          nullable: true
      additionalProperties: false
      description: Represents an error that occurred when command is validated or sent.
    Connect.Service.Command.App.Models.V1.CommandVerification:
      type: object
      properties:
        status:
          $ref: >-
            #/components/schemas/Connect.Service.Command.App.Models.V1.CommandVerificationStatus
        completedAt:
          type: string
          description: The date and time when the verification was completed at.
          format: date-time
          nullable: true
        error:
          $ref: >-
            #/components/schemas/Connect.Service.Command.App.Models.V1.CommandError
      additionalProperties: false
      description: Represents the verification state of a command.
    Connect.Service.Command.App.Models.V1.CommandVerificationStatus:
      enum:
        - Pending
        - Succeeded
        - Failed
        - Canceled
      type: string
      description: Represents the available command verification statuses.
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````